<?php
error_reporting(E_ALL);
ini_set('display_msgs', 1);

include 'constants.php';
include 'functions.php';
include 'variables.php';

// *username*/,/*password*/,/*database*/
$db = @new MySQLi('localhost','ben','pass','quake');

$ret = 1;
// speichert den rückgabewert von include, standardwert 1
/*
 * Die Include-Datei muss eine return Anweisung enthalten mit folgenden
 * Werten:
 * - Bei normaler Ausführung
 * Array('filename' => string,  -- Dateiname vom Template
 *       'data'     => Array()) -- Array mit Daten für das Template
 * - Bei einem Fehler
 * string  -- Die Fehlermeldung die angezeigt werden soll.
*/

// Laden der Include-Datei
if (isset($_GET['section'], $dateien[$_GET['section']]))
{
  if (file_exists('includes/'.$dateien[$_GET['section']]))
  {
    $ret = include 'includes/'.$dateien[$_GET['section']];
  }else{
         $ret = "Include-Datei konnte nicht geladen werden: 'includes/".$dateien[$_GET['section']]."'";
       }
}
else{
      // default bereich laden, login
      $ret = include 'includes/'.$dateien['login'];
    }

// Fehlermeldung wenn keine Datenbank Verbindung aufgebaut werden konnte
if (mysqli_connect_errno())
{
  $ret = 'Konnte keine Verbindung zu Datenbank aufbauen, MySQL meldete: ' . mysqli_connect_error();
}


// Laden des HTML-Kopfs
// Template ausgeben
if (is_array($ret) and isset($ret['filename'], $ret['data']) and
    is_string($ret['filename']) and is_array($ret['data']))
{ // Gültiger return-Wert
  if (file_exists($file = 'templates/'.$ret['filename']))
  {
    $data = $ret['data']; // speicher die Arraydaten in eine Variable $data
                          // die dann im Template verwendet werden kann.
    include $file;
  }else{ // Datei existiert nicht, eine Fehlermeldung anzeigen.
         $data        = array();
         $data['msg'] = 'Templatedatei "'.$file.'" ist nicht vorhanden.';
         include 'templates/info.tpl';
       }
}
else if (is_string($ret))
{  // include-Datei lieferte eine String zurück, welches eine Fehlermeldung sein soll
   $data        = array();
   $data['msg'] = $ret;
   include 'templates/info.tpl';
}
else if (1 === $ret)
{  // return-Anweisung wurde vergessen
   $data        = array();
   $data['msg'] = 'In der Include-Datei wurde die return Anweisung vergessen.';
   include 'templates/info.tpl';
}else{  // überhaupt ein ungültiger return-Wert
        $data        = array();
        $data['msg'] = 'Die Include-Datei hat einen ungültigen Wert zurückgeliefert.';
        include 'templates/info.tpl';
     }

 ?>